<script lang="ts">
import Vue from 'vue';
import { IsMobileMixin } from '~/mixins';

export default Vue.extend({
  name: 'GartnerPromo',
  mixins: [IsMobileMixin],
  props: {
    header: {
      type: String,
      required: true,
    },
    button: {
      type: Object as () => {
        text: string;
        href: string;
        dataGaName: string;
        dataGaLocation: string;
      },
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer class="promo" :fluid="true">
    <SlpContainer>
      <SlpRow class="slp-my-64" style="align-items: center">
        <SlpColumn v-if="!isMobile" :cols="4" class="promo__image-wrap">
          <img
            src="https://images.ctfassets.net/xz1dnu24egyd/1oPxzpI36qOc8uucT3htC6/3962a617e1e1760cf9f5f37948edfb41/Frame_7877_1.png"
            class="promo__image"
          />
        </SlpColumn>
        <SlpColumn :cols="8">
          <div>
            <img src="/nuxt-images/logos/gartner-white.svg" />

            <SlpTypography class="promo__text" variant="heading5-bold" tag="h3">
              {{ header }}
            </SlpTypography>
            <SlpButton
              class="promo__button"
              variant="tertiary"
              :href="button.href"
              :data-ga-name="button.dataGaName"
              :data-ga-location="button.dataGaLocation"
            >
              {{ button.text }}
              <SlpIcon
                class="learn-more-icon"
                name="chevron-lg-right"
                variant="product"
              />
            </SlpButton>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.promo {
  background: linear-gradient(
    180.88deg,
    rgba(225, 152, 109, 0.1) 8.58%,
    rgba(119, 89, 194, 0.1) 112.08%,
    rgba(110, 67, 211, 0.1) 112.09%
  );

  &__button {
    color: white;
  }

  &__image-wrap {
    display: flex;
    justify-content: flex-end;
    padding-right: $spacing-48;
  }

  &__image {
    max-width: 360px;
  }

  &__text {
    color: white;
    padding: $spacing-24 0;
  }
}
h3 {
  color: white;
}
</style>
